document.addEventListener('DOMContentLoaded', () => {
  // 获取设置的参数并执行图片下载功能
  chrome.storage.sync.get(['autoExecute'], (data) => {
    if (data.autoExecute) {
      executeImageDownload();
    }
  });

  document.getElementById('scrapeButton').addEventListener('click', () => {
    executeImageDownload();
  });

  document.getElementById('optionsLink').addEventListener('click', () => {
    chrome.runtime.openOptionsPage();
  });
});

function executeImageDownload() {
  chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
    chrome.scripting.executeScript({
      target: { tabId: tabs[0].id },
      function: () => {
        // 滚动到页面底部
        window.scrollTo(0, document.body.scrollHeight);

        // 等待一小段时间确保所有图片都被加载
        setTimeout(() => {
          // 从存储中获取最小宽度、高度和目标尺寸，然后调用 scrapeAndDownloadImages
          chrome.storage.sync.get(['minWidth', 'minHeight', 'targetWidth', 'targetHeight', 'similarityThreshold'], (data) => {
            const minWidth = data.minWidth || 400;
            const minHeight = data.minHeight || 400;
            const targetWidth = data.targetWidth || 800;
            const targetHeight = data.targetHeight || 800;
            const similarityThreshold = data.similarityThreshold || 90;
            // 获取 folderName
            const folderName = prompt("请输入文件夹名称:", "");
            if (folderName) {
              scrapeAndDownloadImages(minWidth, minHeight, targetWidth, targetHeight, similarityThreshold, folderName);
            }

            // 等待一小段时间确保下载完成
            setTimeout(() => {
              // 滚动回到页面顶部
              window.scrollTo(0, 0);
            }, 1000); // 1秒后回滚到页面顶部，可根据需要调整时间
          });
        }, 1000); // 1秒后执行scrapeAndDownloadImages函数，可根据需要调整时间
      }
    });
  });
}

document.addEventListener('contextmenu', function (e) {
  e.preventDefault();
});